ChangeSet 1.1254.4.36, 2003/06/04 12:33:55-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/pci/pci.c


 drivers/pci/pci.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/pci/pci.c b/drivers/pci/pci.c
--- a/drivers/pci/pci.c	Wed Jun  4 18:09:27 2003
+++ b/drivers/pci/pci.c	Wed Jun  4 18:09:27 2003
@@ -703,9 +703,9 @@
 
 static int __devinit pci_init(void)
 {
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		pci_fixup_device(PCI_FIXUP_FINAL, dev);
 	}
 	return 0;
